#include <iostream>

// LibXML2 Includes
extern "C" {
#include <libxml/parser.h>
#include <libxml/tree.h>
}

using namespace std;

int main(int argc, char* argv[]){

    // Runtime check for correct LibXML2 version
    LIBXML_TEST_VERSION

    if(argc != 2){
        cerr << "Usage: example <FILEPATH>" << endl;
        return 1;
    }

    // Parse input file
    xmlDocPtr domRoot = xmlReadFile(argv[1], NULL, 0);

    // Check if parsing was successful
    if(not domRoot){
        cerr << "FAILED: Bad input file" << endl;
        return 1;
    }
        
    cerr << "SUCCESS" << endl;

    // Free document
    xmlFreeDoc(domRoot);

    return 0;
}
